Bug 747358 - KVM guest install fails with libvirtError: cannot send monitor command '{"execute":"query-balloon"}': Connection reset by peer
Summary: KVM guest install fails with libvirtError: cannot send monitor command '{"exe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.1
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Denemark
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 741217
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-19 15:23 UTC by RHEL Product and Program Management
Modified: 2018-11-14 09:38 UTC (History)
14 users (show)

Fixed In Version: libvirt-0.8.7-18.el6_1.3
Doc Type: Bug Fix
Doc Text:
If the QEMU driver failed to update information about currently allocated memory, installing a new virtual machine could have failed with the following error message: ERROR cannot send monitor command '{"execute":"query-balloon"}': Connection reset by peer With this update, the driver has been modified to not consider this behavior as fatal. Installation now proceeds and finishes as expected.
Clone Of:
Environment:
Last Closed: 2011-11-07 13:49:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1431 normal SHIPPED_LIVE libvirt bug fix update 2011-11-07 18:48:41 UTC

Description RHEL Product and Program Management 2011-10-19 15:23:29 UTC
This bug has been copied from bug #741217 and has been proposed
to be backported to 6.1 z-stream (EUS).

Comment 7 Miroslav Svoboda 2011-10-20 13:53:02 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
If the QEMU driver failed to update information about currently allocated memory, installing a new virtual machine could have failed with the following error message:

     ERROR    cannot send monitor command '{"execute":"query-balloon"}':
     Connection reset by peer

 With this update, the driver has been modified to not consider this behavior as fatal. Installation now proceeds and finishes as expected.

Comment 8 yanbing du 2011-10-21 03:16:52 UTC
Test with libvirt-0.8.7-18.el6_1.3.x86_64 on 6.1.z.
Both use virt-manager and virt-install tool can install win2k3 guest successfully, so bug VERIFIED.

Comment 12 errata-xmlrpc 2011-11-07 13:49:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1431.html


Note You need to log in before you can comment on or make changes to this bug.